Apple parchea la vulnerabilidad Bash en OS XApple ha publicado parches de seguridad para solventar la vulnerabilidad crítica en Bash (Born Again Shell), un intérprete de comandos instalada en la mayoría de los sistemas operativos Unix, Linux o Mac OS X.

Conocida como ShellShock, permitiría a un atacante conectar de forma remota un ejecutable malicioso a una variable que se ejecuta cuando se invoca el intérprete Bash.

Debido a su alcance muchos lo han comparado con Heatbleed, aunque parece que no es tan peligroso, afectando desde la versión 1.14 hasta la 4.3 de GNU Bash. Aparte de ser usado localmente, Bash puede ser usado por muchas aplicaciones, como la ejecución de scripts CGI a través de mod_cgi y mod_cgid.

Apple ha comentado que la inmensa mayoría de usuarios de OS X no tenían serios riesgos de ser afectados al menos que usasen “servicios avanzados de Unix”. No obstante, hay muchos servicios de Unix que son bastante utilizados dentro de OS X y por ello Apple, ha actualizado su sistema operativo de escritorio al igual que lo han hecho las grandes distribuciones GNU/Linux.

Los parches para LionMountain Lion y Mavericks ya están disponibles en los enlaces mientras que el correspondiente al OS X Yosemite, lo estará próximamente.

Fuente: muyseguridad.net